# ApplicationFramework
TKPLCAF
MDF

# MDF_DataMapIteratorOfTypeASDriverMap Class Reference

`#include <MDF_DataMapIteratorOfTypeASDriverMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_DataMapIteratorOfTypeASDriverMap ()
Standard_EXPORT | MDF_DataMapIteratorOfTypeASDriverMap (const MDF_TypeASDriverMap &aMap)
Standard_EXPORT void | Initialize (const MDF_TypeASDriverMap &aMap)
Standard_EXPORT const Handle_Standard_Type & | Key () const
Standard_EXPORT const Handle_MDF_ASDriver & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT MDF_DataMapIteratorOfTypeASDriverMap::MDF_DataMapIteratorOfTypeASDriverMap | ( |  | ) |

Standard_EXPORT MDF_DataMapIteratorOfTypeASDriverMap::MDF_DataMapIteratorOfTypeASDriverMap | ( | const MDF_TypeASDriverMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void MDF_DataMapIteratorOfTypeASDriverMap::Initialize | ( | const MDF_TypeASDriverMap & | aMap | ) |

Standard_EXPORT const Handle_Standard_Type& MDF_DataMapIteratorOfTypeASDriverMap::Key | ( |  | ) | const

void MDF_DataMapIteratorOfTypeASDriverMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_DataMapIteratorOfTypeASDriverMap::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_DataMapIteratorOfTypeASDriverMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_MDF_ASDriver& MDF_DataMapIteratorOfTypeASDriverMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MDF_DataMapIteratorOfTypeASDriverMap.hxx